Summary: GUI for several command-line debuggers
Name: ddd
Version: 3.3.11
Release: 1
License: GPLv2+
Group: Development/Debuggers
URL: http://www.gnu.org/software/ddd/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Source0: http://dl.sf.net/%{name}/%{name}-%{version}.tar.gz
Source1: http://dl.sf.net/%{name}/%{name}-%{version}.tar.gz.sig
Source2: %{name}.desktop
Source3: %{name}.png
Patch0: ddd-3.3.11-lang.patch

BuildRequires: patch
BuildRequires: readline-devel >= 5.2
BuildRequires: libXpm-devel >= 3.5.7
Requires: gnuplot
Requires: readline >= 5.2
Requires: libXpm >= 3.5.7
Requires: gdb
Requires: /sbin/install-info, info

%description
The Data Display Debugger (DDD) is a popular GUI for command-line
debuggers like GDB, DBX, JDB, WDB, XDB, the Perl debugger, and the
Python debugger. DDD allows you to view source texts and provides an
interactive graphical data display, in which data structures are
displayed as graphs. You can use your mouse to dereference pointers
or view structure contents, which are updated every time the program
stops. DDD can debug programs written in Ada, C, C++, Chill, Fortran,
Java, Modula, Pascal, Perl, and Python. DDD provides machine-level
debugging; hypertext source navigation and lookup; breakpoint,
watchpoint, backtrace, and history editors; array plots; undo and
redo; preferences and settings editors; program execution in the
terminal emulation window, debugging on a remote host, an on-line
manual, extensive help on the Motif user interface, and a command-line
interface with full editing, history and completion capabilities.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q
%patch0 -p1 -b .lang


%build
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static \
    --with-readline \
    --enable-builtin-app-defaults \
    --enable-builtin-vsllib \
    --with-x
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/%{name}*
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

mkdir -p ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications
cp %{SOURCE2} ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications
chmod 0644 ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications/*

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
cp %{SOURCE3} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/ddd.png
chmod 0644 ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -s ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ $1 -eq 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%files
%defattr(-,root,system,0755)
%doc doc/ddd.* AUTHORS COPYING COPYING.DOC CREDITS 
%doc INSTALL NEWS PROBLEMS README TIPS doc/ddd-themes.* doc/ddd-paper.*
%{_bindir}/*
%{_infodir}/ddd*
%{_mandir}/man1/*
%dir %{_datadir}/%{name}-%{version}
%{_datadir}/%{name}-%{version}/COPYING
%{_datadir}/%{name}-%{version}/NEWS
%dir %{_datadir}/%{name}-%{version}/ddd
%config(noreplace) %{_datadir}/%{name}-%{version}/ddd/Ddd
%dir %{_datadir}/%{name}-%{version}/themes
%{_datadir}/%{name}-%{version}/themes/*
%dir %{_datadir}/%{name}-%{version}/vsllib
%{_datadir}/%{name}-%{version}/vsllib/*
%{_datadir}/pixmaps/*
/etc/X11/applnk/Applications/*
/usr/bin/*


%changelog
* Mon Apr 21 2008 Michael Perzl <michael@perzl.org> - 3.3.11-1
- First version for AIX5L v5.1 and higher
